#include <bits\stdc++.h>

using namespace std;
int q,n,i;
vector<int> a;
vector<int>b;

int binarna_pretraga(vector<int> a, int l, int d, int x) {
  int s;

  if (l > d)
    return -1;
  s = l + (d - l)/2;
  if (x > a[s])
    return binarna_pretraga(a, s+1, d, x);
  else if (x < a[s])
    return binarna_pretraga(a, l, s-1, x);
  else
    return s;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>n>>q;
    for(i;i<n;i++){
        int x;
        cin>>x;
        a.push_back(x);
    }
    sort(a.begin(),a.end());

    for(i;i<q;i++){
        int x;
        cin>>x;
        b.push_back(x);
        int poz=binarna_pretraga(a,0,n-1,x);
        if(poz==-1)cout<<n;
        else if(poz==n/2+1)cout<<0<<'\n';
        else if(poz<n/2+1)cout<<n/poz<<'\n';
        else cout<<(poz-1)*2-n<<'\n';
    }

    return 0;
}